Release Notes

Android Client Release 5.0

Relution server 5.x

Support of Relution server 5.x

For the upcoming Relution Server version 5.x, Relution Android Client 5.0 is mandatory for classic enrollments (Android Legancy). Relution Server version 4.x is also supported. Version 3.x is no longer supported and the app reports an incompatible server version when trying to enroll. This does not apply to Android Enterprise enrollments.

Device enrollment

Enrollment of Android devices with Relution server 5.x

Classic enrollment of new Android devices on the upcoming Relution Server version 5.x (Android Legacy) requires the use of Relution Android Client 5.0. Older app versions are no longer compatible and report an error. Devices already enrolled with an earlier version of the app will continue to work. However, it is recommended to update the app in a timely manner. This does not apply to Android Enterprise enrollments.

Policies

Support of new multi policies feature with Relution server 5.x

Relution Server 5.x will support applying multiple policies on one device. To ensure full compatibility with Android devices that are classically enrolled (Android Legacy), Relution Android Client 5.0 is required. Older app versions will receive the server merged configurations correctly, but the policies will not be reported back as successfully applied. This does not apply to Android Enterprise enrollments.

Samsung

Error handling on Samsung devices

With Relution Android client 5.0 multiple issues on Samsung devices have been fixed, including several restrictions could not be applied on devices that do not support multi-user profiles.

Android

Limitations with Android Legacy enrollments

Some devices running Android 10 incorrectly reported a permission error instead of a serial number. Note that devices running Android 11 or newer will never report a serial number when using legacy device administrator enrollment. This requires the use of Android Enterprise going forward.

Samsung Knox

Backwards compatibility

Improved backwards compatibility with devices running Samsung Knox 2.7.1 and older. Previously only Knox 2.8 and newer were working as expected.

Apps ratings

Support for app review and ratings suspended

The functionality to review and rate apps in the Relution app store has been removed from the Relution app, analog to server and portal.


The latest Android Relution Client version 5.0 can be downloaded from the Google Play Store or alternatively from our Download Center.